/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3;

import org.jboss.aop.metadata.SimpleMetaData;


/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.2.2.4 $
 */
public interface BeanContext
{
   Object getInstance();

   void setInstance(Object instance);

   Container getContainer();

   void setContainer(Container container);

   void remove();

   SimpleMetaData getMetaData();

}
